# Method Stdio.append_file()

Method append_file

  ``int` append_file(`string` `filename`, `string` `str`, `int`|`void` `access`)`

Description

  Append the string `str` onto the file `filename`.

  For a description of `access`, see Stdio.File->open().

Throws

  Throws an error if `filename` couldn't be opened for writing.

Returns

  Returns the number of bytes written, i.e. `sizeof(str)`.

See also

  write_file(), read_bytes(), Stdio.File()->open()